Skip to main content
POST
/
v1
/
applications
/
{id}
Update an application
curl --request POST \
  --url https://api.yorlet.com/v1/applications/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "advance_rent_amount": 49999950,
  "contract_options": {
    "automatic_counter_signature": true,
    "legal_entity": "<string>",
    "owner_signature_required": true,
    "send_applicant_email": true,
    "send_owner_completion_email": true
  },
  "contract_template": "<string>",
  "deposit_amount": 49999950,
  "end_behavior": "roll",
  "unit": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "application",
  "advance_rent_amount": 123,
  "application_configuration": "<string>",
  "application_mode": "classic",
  "assignee": "<string>",
  "building": "<string>",
  "building_snapshot": {
    "name": "<string>",
    "single_unit": true
  },
  "completed_at": 123,
  "contract": "<string>",
  "contract_address": "<string>",
  "contract_options": {
    "automatic_counter_signature": true,
    "legal_entity": "<string>",
    "owner_signature_required": true,
    "send_applicant_email": true,
    "send_owner_completion_email": true
  },
  "contract_template": "<string>",
  "current_step": {
    "id": "<string>",
    "next_step": "<string>",
    "type": "advance_rent"
  },
  "currency": "gbp",
  "deal_assignee": "<string>",
  "deposit_amount": 123,
  "has_owner": true,
  "holding_fee_amount": 123,
  "end_behavior": "roll",
  "end_date": 123,
  "from_application": {
    "action": "revision",
    "application": "<string>"
  },
  "move_in_date": 123,
  "move_out_date": 123,
  "open": true,
  "owner_options": {
    "apply_unit_fees": true
  },
  "partial_payment": {
    "amount": 123,
    "description": "<string>"
  },
  "rent_term": "<string>",
  "start_date": 123,
  "status": "<string>",
  "subscription_data": {
    "collection_method": "charge_automatically",
    "interval": "month",
    "add_invoice_items": [
      {
        "amount": 123,
        "currency": "<string>",
        "description": "<string>",
        "tax_percent": 50,
        "transfer_behavior": "automatic",
        "type": "charge",
        "metadata": {},
        "price": "<string>",
        "tax_rate": "<string>",
        "transfer_destination": "<string>",
        "unit": "<string>"
      }
    ],
    "billing_anchor": 123,
    "billing_anchor_config": {
      "day_of_month": 16
    },
    "coupon": "<string>",
    "custom_fields": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ],
    "days_before_collection": 3,
    "days_until_due": 1,
    "end_date": 123,
    "end_date_config": {
      "day": 16,
      "month": 6,
      "year": 123
    },
    "first_invoice_creation": "immediately",
    "interval_count": 123,
    "items": [
      {
        "price_data": {
          "amount": 123,
          "currency": "<string>",
          "tax_percent": 123
        },
        "type": "charge",
        "description": "<string>",
        "metadata": {},
        "price": "<string>",
        "proration_behavior": "create_prorations",
        "schedule": [
          {
            "amount": 123,
            "effective_at": 123
          }
        ],
        "tax_rate": "<string>",
        "transfer_behavior": "automatic",
        "transfer_destination": "<string>",
        "unit": "<string>"
      }
    ],
    "phases": [
      {
        "start_date": 123,
        "items": [
          {
            "price_data": {
              "amount": 123,
              "currency": "<string>",
              "tax_percent": 123
            },
            "type": "charge",
            "description": "<string>",
            "metadata": {},
            "price": "<string>",
            "proration_behavior": "create_prorations",
            "schedule": [
              {
                "amount": 123,
                "effective_at": 123
              }
            ],
            "tax_rate": "<string>",
            "transfer_behavior": "automatic",
            "transfer_destination": "<string>",
            "unit": "<string>"
          }
        ]
      }
    ],
    "start_date": 123,
    "start_date_config": {
      "day": 16,
      "month": 6,
      "year": 123
    }
  },
  "type": "active_tenancy",
  "unit": "<string>",
  "unit_snapshot": {
    "name": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "applicants": {
    "count": 1,
    "has_more": false,
    "object": "list",
    "data": [
      {
        "id": "<string>",
        "created": 123,
        "object": "application.applicant",
        "application": "<string>",
        "advance_rent": {
          "amount": 123,
          "paid": true,
          "paid_off_platform": true,
          "transaction": "<string>"
        },
        "currency": "gbp",
        "customer": "<string>",
        "deposit": {
          "amount": 123,
          "paid": true,
          "paid_off_platform": true,
          "transaction": "<string>"
        },
        "guarantor": "<string>",
        "guarantor_contract": "<string>",
        "holding_fee": {
          "amount": 123,
          "paid": true,
          "paid_off_platform": true,
          "transaction": "<string>"
        },
        "lead_tenant": true,
        "permitted_occupier": true,
        "requirements": {
          "guarantor": true
        },
        "share_of_rent": 123,
        "status": "<string>",
        "tos_acceptance": {
          "date": 123,
          "ip": "<string>"
        },
        "account": "<string>",
        "deleted": false,
        "pets": [
          {
            "age": 123,
            "name": "<string>",
            "type": "dog"
          }
        ],
        "pre_qualification": {
          "affordability": {
            "company_name": "<string>",
            "gross_annual_salary": 123,
            "role": "<string>"
          },
          "nationality": "<string>"
        }
      }
    ]
  },
  "metadata": {},
  "steps": [
    {
      "id": "<string>",
      "status": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
advance_rent_amount
integer | null

The advance rent amount for the application.

Required range: 1 <= x <= 99999900
contract_options
object

The contract options for the application.

contract_template
string

The contract template to use for the application.

Pattern: ^[a-zA-Z0-9_]+$
deposit_amount
integer | null

The deposit amount for the application.

Required range: 1 <= x <= 99999900
end_behavior
enum<string>

The end behavior for the application. Can only be set to complete when an end date is provided.

Available options:
roll,
complete
unit
string

The identifier of the unit to update the application with.

Pattern: ^[a-zA-Z0-9_]+$

Response

200 - application/json

Returns the application object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
application
advance_rent_amount
integer | null
required

The advance rent amount for the application.

application_configuration
required

The identifier of the application configuration.

application_mode
enum<string>
required

The mode of the application.

Available options:
classic,
configuration
assignee
string | null
required

The identifier of the assignee for the application.

Pattern: ^[a-zA-Z0-9_]+$
building
required

The identifier of the building for the application.

building_snapshot
object
required

A snapshot of the building at the time of the application.

completed_at
integer | null
required

The date and time the application was completed.

contract
required

The identifier of the contract for the application.

contract_address
string | null
required

The address of the contract for the application.

contract_options
object
required

The contract options for the application.

contract_template
required

The identifier of the contract template for the application.

current_step
Advance rent · object
required

The current step of the application configuration.

currency
enum<string>
required

The currency for the application.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

deal_assignee
string | null
required

The identifier of the deal assignee for the application.

Pattern: ^[a-zA-Z0-9_]+$
deposit_amount
integer | null
required

The deposit amount for the application.

has_owner
boolean
required

Whether the application has an owner.

holding_fee_amount
integer | null
required

The holding fee amount for the application.

end_behavior
enum<string> | null
required

The end behavior for the application.

Available options:
roll,
complete,
null
end_date
integer | null
required

The end date of the application.

from_application
object
required

The from application for the application.

move_in_date
integer | null
required

The expected move in date for the application.

move_out_date
integer | null
required

The expected move out date for the application.

open
boolean
required

Whether the application is open.

owner_options
object
required

The owner options for the application.

partial_payment
object
required

The partial payment details for the application.

rent_term
string | null
required

The rent term for the application.

start_date
integer | null
required

The start date of the application.

status
string
required

The status of the application.

subscription_data
object
required

The subscription data for the application.

type
enum<string>
required

The type of the application.

Available options:
active_tenancy,
let_only,
renewal,
standard
unit
required

The identifier of the unit for the application.

unit_snapshot
object
required

A snapshot of the unit at the time of the application.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

applicants
object

The applicants for the application.

metadata
object

The metadata for the application.

steps
object[]

The steps of the application configuration.